Bug 2047908 - CVE-2022-21245 CVE-2022-21249 CVE-2022-21253 CVE-2022-21254 CVE-2022-21256 CVE-2022-21264 CVE-2022-21265 CVE-2022-21270 CVE-2022-21301 CVE-2022-21302 CVE-2022-21303 CVE-2022-21304 CVE-2022-21339 ... mysql:8.0/community-mysql: various flaws [fedora-all]
Summary: CVE-2022-21245 CVE-2022-21249 CVE-2022-21253 CVE-2022-21254 CVE-2022-21256 CV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2041896
Blocks: CVE-2022-21595 CVE-2022-21600 CVE-2022-21245 CVE-2022-21249 CVE-2022-21253 CVE-2022-21254 CVE-2022-21256 CVE-2022-21264 CVE-2022-21265 CVE-2022-21270 CVE-2022-21301 CVE-2022-21302 CVE-2022-21303 CVE-2022-21304 CVE-2022-21339 CVE-2022-21342 CVE-2022-21344 CVE-2022-21348 CVE-2022-21351 CVE-2022-21358 CVE-2022-21362 CVE-2022-21367 CVE-2022-21368 CVE-2022-21370 CVE-2022-21372 CVE-2022-21374 CVE-2022-21378 CVE-2022-21379
TreeView+ depends on / blocked
 
Reported: 2022-01-28 20:28 UTC by Tomas Hoger
Modified: 2022-11-15 17:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-22 00:20:28 UTC
Type: ---


Attachments (Terms of Use)

Description Tomas Hoger 2022-01-28 20:28:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Tomas Hoger 2022-01-28 20:29:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2043620,2043621,2043622,2043623,2043624,2043625,2043626,2043627,2043630,2043631,2043632,2043633,2043634,2043635,2043636,2043637,2043638,2043640,2043641,2043642,2043643,2043644,2043645,2043646,2043647,2043648,2047908

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michal Schorm 2022-01-31 05:49:49 UTC
Rebase prepared in PR:
  https://src.fedoraproject.org/rpms/community-mysql/pull-request/7

Comment 3 Fedora Update System 2022-08-12 08:57:56 UTC
FEDORA-MODULAR-2022-d4d22928fb has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-d4d22928fb

Comment 4 Fedora Update System 2022-08-12 08:57:56 UTC
FEDORA-MODULAR-2022-ea3da7e720 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-ea3da7e720

Comment 5 Fedora Update System 2022-08-13 01:26:14 UTC
FEDORA-MODULAR-2022-d4d22928fb has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-d4d22928fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-08-13 01:39:55 UTC
FEDORA-MODULAR-2022-ea3da7e720 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-ea3da7e720

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-08-22 00:20:28 UTC
FEDORA-MODULAR-2022-d4d22928fb has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-08-22 00:30:50 UTC
FEDORA-MODULAR-2022-ea3da7e720 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.